<?php 
/*
Plugin Name: VJ Simple Affiliate Links
Plugin URI: https://vjdesign.com.au/faq-accordion-plugin/
Description: Use this custom post type to manage affiliate links; ONLY works if Page Links To plugin is installed and active.
Version: 1.0
Author: VJ Design
Author URI: https://vjdesign.com.au/
Text Domain: vj
License:     GPL v3

 *
 * This program is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation, either version 3 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program.  If not, see <http://www.gnu.org/licenses/>.
*/

/**
 * Prevent direct access to files
 */
if ( ! defined( 'ABSPATH' ) ) exit; // Exit if accessed directly

function vj_register_my_cpts_referral() {

	/**
	 * Post Type: Referral Links.
	 */

	$labels = [
		"name" => __( "Referral Links", "vj-referral-cpt" ),
		"singular_name" => __( "Referral Link", "vj-referral-cpt" ),
		"menu_name" => __( "Referral Links", "vj-referral-cpt" ),
		"all_items" => __( "All Referral Links", "vj-referral-cpt" ),
		"add_new" => __( "Add new Referral", "vj-referral-cpt" ),
		"add_new_item" => __( "Add new Referral Link", "vj-referral-cpt" ),
		"edit_item" => __( "Edit Referral Link", "vj-referral-cpt" ),
		"new_item" => __( "New Referral Link", "vj-referral-cpt" ),
		"view_item" => __( "View Referral Link", "vj-referral-cpt" ),
		"view_items" => __( "View Referral Links", "vj-referral-cpt" ),
		"search_items" => __( "Search Referral Links", "vj-referral-cpt" ),
		"not_found" => __( "No Referral Links found", "vj-referral-cpt" ),
		"not_found_in_trash" => __( "No Referral Links found in trash", "vj-referral-cpt" ),
		"parent" => __( "Parent Referral Link:", "vj-referral-cpt" ),
		"featured_image" => __( "Featured image for this Referral Link", "vj-referral-cpt" ),
		"set_featured_image" => __( "Set featured image for this Referral Link", "vj-referral-cpt" ),
		"remove_featured_image" => __( "Remove featured image for this Referral Link", "vj-referral-cpt" ),
		"use_featured_image" => __( "Use as featured image for this Referral Link", "vj-referral-cpt" ),
		"archives" => __( "Referral Link archives", "vj-referral-cpt" ),
		"insert_into_item" => __( "Insert into Referral Link", "vj-referral-cpt" ),
		"uploaded_to_this_item" => __( "Upload to this Referral Link", "vj-referral-cpt" ),
		"filter_items_list" => __( "Filter Referral Links list", "vj-referral-cpt" ),
		"items_list_navigation" => __( "Referral Links list navigation", "vj-referral-cpt" ),
		"items_list" => __( "Referral Links list", "vj-referral-cpt" ),
		"attributes" => __( "Referral Links attributes", "vj-referral-cpt" ),
		"name_admin_bar" => __( "Referral Link", "vj-referral-cpt" ),
		"item_published" => __( "Referral Link published", "vj-referral-cpt" ),
		"item_published_privately" => __( "Referral Link published privately.", "vj-referral-cpt" ),
		"item_reverted_to_draft" => __( "Referral Link reverted to draft.", "vj-referral-cpt" ),
		"item_scheduled" => __( "Referral Link scheduled", "vj-referral-cpt" ),
		"item_updated" => __( "Referral Link updated.", "vj-referral-cpt" ),
		"parent_item_colon" => __( "Parent Referral Link:", "vj-referral-cpt" ),
	];

	$args = [
		"label" => __( "Referral Links", "vj-referral-cpt" ),
		"labels" => $labels,
		"description" => "Create Referral / Affiliate /Pretty Links",
		"public" => true,
		"publicly_queryable" => true,
		"show_ui" => true,
		"show_in_rest" => true,
		"rest_base" => "",
		"rest_controller_class" => "WP_REST_Posts_Controller",
		"has_archive" => false,
		"show_in_menu" => true,
		"show_in_nav_menus" => true,
		"delete_with_user" => false,
		"exclude_from_search" => true,
		"capability_type" => "page",
		"map_meta_cap" => true,
		"hierarchical" => false,
		"rewrite" => [ "slug" => "referral", "with_front" => true ],
		"query_var" => true,
		"menu_position" => 20,
		"menu_icon" => "dashicons-admin-links",
		"supports" => [ "title" ],
	];

	register_post_type( "referral", $args );
}

add_action( 'init', 'vj_register_my_cpts_referral' );

function vj_remove_admin_menu_page() {
    remove_menu_page( 'edit.php?post_type=page&page=plt-add-page-link' );
}
add_action( 'admin_menu', 'vj_remove_admin_menu_page' );